/v1/mgmt/thirdparty/app/attributeAuthorization
Descope Project ID and Management Key Project ID:Management Key as bearer token.
In: header
Request Body
application/json
1 <= length <= 201 <= length <= 2541 <= lengthRepresents a dynamically typed value which can be either null, a number, a string, a boolean, a recursive struct value, or a list of values.
Represents a dynamically typed value which can be either null, a number, a string, a boolean, a recursive struct value, or a list of values.
Represents a dynamically typed value which can be either null, a number, a string, a boolean, a recursive struct value, or a list of values.
Create or update a single inbound app custom attribute definition (upsert by machine name), using a valid management key. Each inbound app sets its own values for these attributes, which JWT templates read as {{app.customAttributes.}}.
curl -X POST "https://api.descope.com/v1/mgmt/thirdparty/app/attribute" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "displayName": "string", "type": "string" }'Revoke a named third party application secret POST
Revoke a named client secret of a third party application, using a valid management key. Returns the remaining secret metadata.
Update third party application (v2) POST
Update a third party application using the structured scope-claim mapping model, using a valid management key. The legacy attributesScopes field is ignored and cleared.